JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
OnlineUnlockStatus::LicenseResult Struct Reference
juce_product_unlocking » marketplace

The possible error strings that can applyKeyFile() can return on failure. More...

`#include <juce_OnlineUnlockStatus.h>`

## Static Public Attributes
static constexpr auto | notReady = "ID generator is not ready, try again later."
static constexpr auto | badCredentials = "Credentials are invalid."
static constexpr auto | badProductID = "ProductID is incorrect."
static constexpr auto | licenseExpired = "License has expired."
static constexpr auto | unlockFailed = "Generic unlock failure."

## Detailed Description

The possible error strings that can applyKeyFile() can return on failure.

## Member Data Documentation

## ◆ notReady

constexpr auto OnlineUnlockStatus::LicenseResult::notReady = "ID generator is not ready, try again later."
| static constexpr

## ◆ badCredentials

constexpr auto OnlineUnlockStatus::LicenseResult::badCredentials = "Credentials are invalid."
| static constexpr

## ◆ badProductID

constexpr auto OnlineUnlockStatus::LicenseResult::badProductID = "ProductID is incorrect."
| static constexpr

## ◆ licenseExpired

constexpr auto OnlineUnlockStatus::LicenseResult::licenseExpired = "License has expired."
| static constexpr

## ◆ unlockFailed

constexpr auto OnlineUnlockStatus::LicenseResult::unlockFailed = "Generic unlock failure."
| static constexpr

The documentation for this struct was generated from the following file:

- juce_OnlineUnlockStatus.h